SDL_Mutex(3type)

NAME
SDL_Mutex - A means to serialize access to a resource between threads.

SYNOPSIS
#include <SDL3/SDL_mutex.h>

typedef struct SDL_Mutex SDL_Mutex;

DESCRIPTION
Mutexes (short for "mutual exclusion") are a synchronization primitive that allows exactly one thread to proceed at a time.

Wikipedia has a thorough explanation of the concept:

https://en.wikipedia.org/wiki/Mutex

AVAILABILITY
This struct is available since SDL 3.2.0.